Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class MDCKeySetExtractor

    java.lang.Object
      org.apache.log4j.helpers.MDCKeySetExtractor

    public final class MDCKeySetExtractor

extends Object

Field Summary
`static MDCKeySetExtractor` | `INSTANCE`

Method Summary
`Set` | `getPropertyKeySet(LoggingEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final MDCKeySetExtractor INSTANCE

Method Detail

### getPropertyKeySet

    public Set getPropertyKeySet(LoggingEvent event)
                          throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.